<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */

class Admin_Portalmanage_Recommend_Confirm
{
    var $pagename;
    var $title;

    var $kubun;
    
    // DIConverter
    var $recommend;
    
    // 入力パラメータ   
    var $itemcd;
    var $startdate;
    var $closedate;
    var $priority;
    
    var $updcnt;
    
    var $data;
    var $change;

    // 保持パラメータ
    var $fromaction;    // 転送元アクション
    var $sort;          // ソートキー
    var $pageID;        // ページ番号
    var $srcword;       // 検索
    var $srcdispnum;    // 表示件数
    var $prockbn;       // 処理区分
    
 // 商品検索用パラメータ
    var $div;
    var $jancode;
    var $hinban;
    var $itemtitle;
    var $release_date_start;
    var $release_date_end;
    var $publish_date_start;
    var $publish_date_end;
    var $maker_capital;
    var $maker_name;
    var $media;
    var $cast;
    var $situation;
    var $photo_situation;
    var $publish_situation;
    var $genre_select;

    //追加
    var $fromdetail;
    var $from;

    function execute()
    {
        // 商品の基本情報を取得 
        $row =  $this->recommend->getOneItem($this->itemcd);
        $this->data = $row[0];
        
        $log =& LogFactory::getLog();
        $log->debug("Admin_Portalmanage_Recommend_Confirmが実行されました", "Admin_Portalmanage_Recommend_Confirm#execute");
        return 'success';
    }
    /**
     * リスト復帰用の検索条件保持URLパラメータ出力
     *
     * @return object
     */
    function getExtraParam()
    {
		return  '<input type="hidden" name="fromaction" value="'.$this->fromaction.'">'.
   				'<input type="hidden" name="sort" value="'.$this->sort.'">'.
   				'<input type="hidden" name="pageID" value="'.$this->pageID.'">'.
   				'<input type="hidden" name="srcword" value="'.$this->srcword.'">'.
   				'<input type="hidden" name="srcdispnum" value="'.$this->srcdispnum.'">';
    			'<input type="hidden" name="prockbn" value="'.$this->prockbn.'">';
    }
    
    function getProcKbnMsg()
    {
        if($this->prockbn == 1){
            return "登録";
        } else {
            return "変更";
        }
    }
}
?>